pugixml-1.8-1.sdl7.x86_64.rpm


Advertisement

Description

pugixml - A light-weight C++ XML processing library

Property Value
Distribution CentOS 7
Repository PUIAS Unsupported x86_64
Package name pugixml
Package version 1.8
Package release 1.sdl7
Package architecture x86_64
Package type rpm
Installed size 245.38 KB
Download size 93.97 KB
Official Mirror springdale.math.ias.edu
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
conversions

Alternatives

Package Version Architecture Repository
pugixml-1.8-1.el7.x86_64.rpm 1.8 x86_64 EPEL
pugixml - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
libpugixml.so.1()(64bit) -
pugixml = 1.8-1.sdl7
pugixml(x86-64) = 1.8-1.sdl7

Download

Type URL
Binary Package pugixml-1.8-1.sdl7.x86_64.rpm
Source Package pugixml-1.8-1.sdl7.src.rpm

Install Howto

  1. Download latest puias-unsupported rpm from
    http://springdale.math.ias.edu/data/puias/unsupported/7/x86_64/
  2. Install puias-unsupported rpm:
    # rpm -Uvh puias-unsupported*rpm
  3. Install pugixml rpm package:
    # yum install pugixml

Files

Path
/usr/lib64/libpugixml.so.1
/usr/lib64/libpugixml.so.1.8
/usr/share/doc/pugixml-1.8/readme.txt

Changelog

2016-11-24 - Richard Shaw <hobbes1069@gmail.com> - 1.8-1
- Update to latest upstream release.
2016-09-27 - Richard Shaw <hobbes1069@gmail.com> - 1.7-3
- Add build flags for c++11 for mkvtoolnix.
2016-02-04 - Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
2015-10-19 - Richard Shaw <hobbes1069@gmail.com> - 1.7-1
- Update to latest upstream release.
2015-06-18 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
2015-04-11 - Richard Shaw <hobbes1069@gmail.com> - 1.6-1
- Update to latest upstream release.
2015-02-03 - Richard Shaw <hobbes1069@gmail.com> - 1.5-1
- Update to latest upstream release.
2014-09-03 - Orion Poplawski <orion@cora.nwra.com> - 1.4-1
- Update to 1.4
- Split documentation out into -doc sub-package
- Add cmake export information
2014-08-17 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
2014-06-07 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

See Also

Package Description
pugixml-devel-1.8-1.sdl7.x86_64.rpm Development files for pugixml
pugixml-doc-1.8-1.sdl7.x86_64.rpm Documentation for pugixml
puppet-3.8.7-2.sdl7.noarch.rpm A network tool for managing many disparate systems
puppet-server-3.8.7-2.sdl7.noarch.rpm Server for the puppet system management tool
puppetdb-2.3.6-1.sdl7.noarch.rpm Puppet Centralized Storage Daemon
puppetdb-terminus-2.3.6-1.sdl7.noarch.rpm Puppet terminus files to connect to PuppetDB
puppetserver-1.1.1-1.sdl7.noarch.rpm Puppet Labs - puppetserver
pwgen-2.08-1.sdl7.x86_64.rpm Automatic password generation
pyflakes-1.3.0-2.sdl7.noarch.rpm A simple program which checks Python source files for errors
pygtkglext-1.1.0-20.sdl7.x86_64.rpm Python bindings for GtkGLExt
pygtkglext-devel-1.1.0-20.sdl7.x86_64.rpm Development files for pygtkglext
python-Beaver-33.3.0-1.sdl7.noarch.rpm python daemon that munches on logs and sends their contents to logstash
python-GnuPGInterface-0.3.2-11.sdl7.noarch.rpm A Python module to interface with GnuPG
python-OpenImageIO-1.5.24-3.sdl7.1.x86_64.rpm Python 2 bindings for OpenImageIO
python-amqp-1.4.9-1.sdl7.noarch.rpm Low-level AMQP client for Python (fork of amqplib)
Advertisement
Advertisement